Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2532 - Add /usr/local/sbin to /etc/man.config
Summary: Add /usr/local/sbin to /etc/man.config
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-04 05:50 UTC by Marc MERLIN
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-10 21:55:24 UTC


Attachments (Terms of Use)

Description Marc MERLIN 1999-05-04 05:50:01 UTC
The file has the following line:
MANPATH_MAP     /usr/local/bin          /usr/local/man

It would be nice to add
MANPATH_MAP     /usr/local/sbin         /usr/local/man

Comment 1 Marc MERLIN 1999-05-04 05:58:59 UTC
BTW, is there a good reason for makewhatis to be run every night _and_
every weekend?
> rpm -ql man
/etc/cron.daily/makewhatis.cron
/etc/cron.weekly/makewhatis.cron

Comment 2 Michael K. Johnson 1999-05-10 20:38:59 UTC
As far as the cron entries, they are different:

--- ../sources/makewhatis.crondaily     Fri Apr  9 18:56:38 1999
+++ ../sources/makewhatis.cronweekly    Fri Apr  9 18:55:35 1999
@@ -8,6 +8,6 @@
 # happen is that they will temporarily corrupt the database...
 [ -f $LOCKFILE ] && exit 0
 touch $LOCKFILE
-makewhatis -u -w
+makewhatis -w
 rm -f $LOCKFILE
 exit 0

The weekly one rebuilds the database, in correct order; the
daily one adds new entries to the end of the database.

/usr/local/sbin is added to MANPATH_MAP for 1.5g-3.  This will
not be an errata fix, but will be available in RawHide.

Comment 3 Michael K. Johnson 1999-05-10 21:55:59 UTC
man-1.5g-3 is now built into RawHide, and will be available in the
next RawHide release.


Note You need to log in before you can comment on or make changes to this bug.